__gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::iterator(3cxx)

NAME
__gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::iterator - Child iterator.

SYNOPSIS

#include <pat_trie_base.hpp>

Inherits __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator.

  Public Types

typedef _Alloc::difference_type difference_type
typedef std::forward_iterator_tag iterator_category
typedef node_pointer_pointer pointer
typedef node_pointer_reference reference
typedef node_pointer value_type

  Public Member Functions

iterator (node_pointer_pointer p_p_cur=0, node_pointer_pointer p_p_end=0)
bool operator!= (const const_iterator &other) const
bool operator!= (const iterator &other) const
node_pointer operator* ()
node_const_pointer operator* () const
iterator & operator++ ()
iterator operator++ (int)
node_pointer_pointer operator-> ()
const node_pointer_pointer operator-> () const
bool operator== (const const_iterator &other) const
bool operator== (const iterator &other) const

  Public Attributes

node_pointer_pointer m_p_p_cur
node_pointer_pointer m_p_p_end

Detailed Description

  template<typename _ATraits, typename Metadata>
struct __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::iterator"Child iterator.

Definition at line 320 of file pat_trie_base.hpp.

Member Typedef Documentation

  template<typename _ATraits , typename Metadata > typedef _Alloc::difference_type __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::iterator::difference_type

Definition at line 324 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef std::forward_iterator_tag __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::iterator::iterator_category

Definition at line 323 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef node_pointer_pointer __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::iterator::pointer

Definition at line 326 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef node_pointer_reference __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::iterator::reference

Definition at line 327 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > typedef node_pointer __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::iterator::value_type

Definition at line 325 of file pat_trie_base.hpp.

Constructor & Destructor Documentation

  template<typename _ATraits , typename Metadata > __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::iterator::iterator (node_pointer_pointer p_p_cur = 0, node_pointer_pointer p_p_end = 0) [inline]

Definition at line 330 of file pat_trie_base.hpp.

Member Function Documentation

  template<typename _ATraits , typename Metadata > bool __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator::operator!= (const const_iterator & other) const [inline], [inherited]

Definition at line 276 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > bool __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::iterator::operator!= (const iterator & other) const [inline]

Definition at line 339 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > node_pointer __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::iterator::operator* () [inline]

Definition at line 365 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > node_const_pointer __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator::operator* () const [inline], [inherited]

Definition at line 304 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > iterator & __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::iterator::operator++ () [inline]

Definition at line 343 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > iterator __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::iterator::operator++ (int) [inline]

Definition at line 350 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > node_pointer_pointer __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::iterator::operator-> () [inline]

Definition at line 358 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > const node_pointer_pointer __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator::operator-> () const [inline], [inherited]

Definition at line 297 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > bool __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator::operator== (const const_iterator & other) const [inline], [inherited]

Definition at line 272 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > bool __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::iterator::operator== (const iterator & other) const [inline]

Definition at line 335 of file pat_trie_base.hpp.

Member Data Documentation

  template<typename _ATraits , typename Metadata > node_pointer_pointer __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator::m_p_p_cur [inherited]

Definition at line 257 of file pat_trie_base.hpp.

  template<typename _ATraits , typename Metadata > node_pointer_pointer __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::const_iterator::m_p_p_end [inherited]

Definition at line 258 of file pat_trie_base.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.